components:
  schemas:
    DataStorageLoSCapabilities_v1_1_2_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/DataStorageLoSCapabilities_v1_1_2_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataStorageLoSCapabilities_v1_1_2_DataStorageLoSCapabilities:
      additionalProperties: false
      description: Describe data storage and provisioning capabilities.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/DataStorageLoSCapabilities_v1_1_2_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
          x-versionAdded: v1_1_0
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Identifier:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Identifier
          description: The value identifies this resource.
          x-longDescription: The value shall be unique within the managed ecosystem.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        SupportedAccessCapabilities:
          description: Supported access capabilities.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataStorageLoSCapabilities.yaml#/components/schemas/DataStorageLoSCapabilities_StorageAccessCapability
            nullable: true
          readOnly: false
          type: array
          x-longDescription: Each entry specifies a storage access capability.
        SupportedLinesOfService:
          description: Collection of known and supported DataStorageLinesOfService.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-autoExpand: true
          x-longDescription: The collection shall contain known and supported DataStorageLinesOfService.
        SupportedLinesOfService@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        SupportedProvisioningPolicies:
          description: Thin allows over allocation of storage.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataStorageLoSCapabilities.yaml#/components/schemas/DataStorageLoSCapabilities_ProvisioningPolicy
            nullable: true
          readOnly: false
          type: array
          x-longDescription: This collection specifies supported storage allocation
            policies.
        SupportedRecoveryTimeObjectives:
          description: Supported expectations for time to access the primary store
            after recovery.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataProtectionLoSCapabilities.yaml#/components/schemas/DataProtectionLoSCapabilities_RecoveryAccessScope
            nullable: true
          readOnly: false
          type: array
          x-longDescription: This collection specifies supported expectations for
            time to access the primary store after recovery.
        SupportsSpaceEfficiency:
          description: Allows compression or deduplication of storage.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: The value specifies whether storage compression or deduplication
            is supported. The default value for this property is false.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: Each instance of DataStorageLoSCapabilities describes capabilities
        of the system to support various data storage service options.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataStorageLoSCapabilities_v1_1_2_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#DataStorageLoSCapabilities.v1_1_2.DataStorageLoSCapabilities'
x-copyright: Copyright 2015-2024 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
x-release: 1.0.5
